# phpDox - Query\Drivers\Pgsql\Driver::getFks

# Query\Drivers\Pgsql\Driver::getFks

#### Retrieve foreign keys for the table

## Signature

`public function getFks(string $table )`

## Parameters

`$table` — string

## Returns

array

## Defined by Interface

`DriverInterface`

## Parent Implementation

- `AbstractDriver`

## Violations

### PHPMessDetector

Line | Rule | Message
--- | --- | ---
75 | UndefinedVariable | Avoid using undefined variables such as '$key' which will lead to PHP notices.
79 | UndefinedVariable | Avoid using undefined variables such as '$key' which will lead to PHP notices.
86 | UndefinedVariable | Avoid using undefined variables such as '$key' which will lead to PHP notices.
86 | UndefinedVariable | Avoid using undefined variables such as '$key' which will lead to PHP notices.